### Method

# Camel Service new_camel_url

since: 3.2

#### Declaration [src]

    CamelURL*
    camel_service_new_camel_url (
      CamelService* service
    )

#### Description [src]

Returns a new `CamelURL` representing `service`. Free the returned `CamelURL` with camel_url_free().

Available since: 3.2

#### Return value

Type: `CamelURL`

A new `CamelURL`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.